"""Exceptions"""

class NilmDBError(Exception):
    """Base exception for NilmDB errors"""
    def __init__(self, message = "Unspecified error"):
        Exception.__init__(self, message)

class StreamError(NilmDBError):
    pass

class OverlapError(NilmDBError):
    pass
